Retry a webhook delivery
curl --request POST \
--url https://api.context.dev/v1/webhooks/deliveries/{delivery_id}/retry \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.context.dev/v1/webhooks/deliveries/{delivery_id}/retry"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.context.dev/v1/webhooks/deliveries/{delivery_id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}Webhook Deliveries
Retry a Webhook Delivery
Retry a webhook delivery within seven days of creation.
POST
/
webhooks
/
deliveries
/
{delivery_id}
/
retry
Retry a webhook delivery
0 Credits
A
202 response means the retry was accepted for asynchronous delivery. Follow the response’s Location header or retrieve the delivery to check its outcome, and inspect delivery attempts for HTTP status and errors.Headers
Unique key to prevent duplicate retry requests.
Maximum string length:
200Path Parameters
Delivery ID.
Pattern:
^whd_[a-f0-9]{32}$Body
application/json
Was this page helpful?